Umstellung PHP 5.4

Thema wurde von to1110, 29. November 2012 erstellt.

  1. Avenger

    Avenger G-WARD 2012/13/14/15

    Registriert seit:
    26. April 2011
    Beiträge:
    4.771
    Danke erhalten:
    1.478
    Danke vergeben:
    89
    Ich meine, solche Trolle haben keine Antwort mehr verdient.

    Soll er doch sehen, wie er seine fragen löst.

    Dumm, dreist und unverschämt.
     
  2. joergdettmer

    joergdettmer Mitglied

    Registriert seit:
    20. März 2013
    Beiträge:
    10
    Danke erhalten:
    0
    Hallo Florian
    habe da mal ein Frage an dich ich bekomme die Instalation bei 1und1 nicht hin .
    Wie hast du das geschaft.
    Gruß Jörg 1und1.png
     
  3. Stefan

    Stefan Erfahrener Benutzer

    Registriert seit:
    26. April 2011
    Beiträge:
    632
    Danke erhalten:
    57
    Danke vergeben:
    191
    hallo Jörg.

    du darfst bei 1&1 nicht localhost eintragen.

    dort muss zB. das hier stehen

    db0000000.db.1and1.com

    anstatt der 0000000 muss dort deine DB Nummer hin
     
  4. joergdettmer

    joergdettmer Mitglied

    Registriert seit:
    20. März 2013
    Beiträge:
    10
    Danke erhalten:
    0
    Geht leider immer noch nicht. 1und1.png
     
  5. Stefan

    Stefan Erfahrener Benutzer

    Registriert seit:
    26. April 2011
    Beiträge:
    632
    Danke erhalten:
    57
    Danke vergeben:
    191
    eventuell beim Passwort vertippt?
     
  6. joergdettmer

    joergdettmer Mitglied

    Registriert seit:
    20. März 2013
    Beiträge:
    10
    Danke erhalten:
    0
    Nei habe schon ein neues Angelegt.
    Normalerweise ist es doch auch so wenn die Daten eingetragen werdenist das Feld Grün hinterlegt schon das Klappt nicht.
     
  7. Dennis (MotivMonster.de)

    Dennis (MotivMonster.de) G-WARD 2013/14/15/16

    Registriert seit:
    22. September 2011
    Beiträge:
    30.477
    Danke erhalten:
    5.932
    Danke vergeben:
    1.061
    Beruf:
    Mann für alles :)
    Ort:
    Weilburg
    könnte es sein das du noch die 2.0.11.2 versuchst unter php 5.4 zu instalieren?
    Weil die Version ist noch nicht für PHP 5.4 ausgelegt erst die gerade erschienene Version.
     
  8. joergdettmer

    joergdettmer Mitglied

    Registriert seit:
    20. März 2013
    Beiträge:
    10
    Danke erhalten:
    0
    #48 joergdettmer, 25. März 2013
    Zuletzt bearbeitet: 2. April 2013
    db462587058dbo462587058db46mShopMySQL5.0 Fertig. 1024 MB von 1024 MB frei
    das sieht so bei mir aus.
     
  9. joergdettmer

    joergdettmer Mitglied

    Registriert seit:
    20. März 2013
    Beiträge:
    10
    Danke erhalten:
    0
    Habe auf MySql5.0 läst sich nur einstellen.
     
  10. Dennis (MotivMonster.de)

    Dennis (MotivMonster.de) G-WARD 2013/14/15/16

    Registriert seit:
    22. September 2011
    Beiträge:
    30.477
    Danke erhalten:
    5.932
    Danke vergeben:
    1.061
    Beruf:
    Mann für alles :)
    Ort:
    Weilburg
    ich red von PHP nicht von MySQL
     
  11. joergdettmer

    joergdettmer Mitglied

    Registriert seit:
    20. März 2013
    Beiträge:
    10
    Danke erhalten:
    0
    Endschuldigung
    Steht auf PHP.5.2
     
  12. Dennis (MotivMonster.de)

    Dennis (MotivMonster.de) G-WARD 2013/14/15/16

    Registriert seit:
    22. September 2011
    Beiträge:
    30.477
    Danke erhalten:
    5.932
    Danke vergeben:
    1.061
    Beruf:
    Mann für alles :)
    Ort:
    Weilburg
    OK. Weil du hier in einem Fred für PHP 5.4 gelandet bist...

    Die DB Host ohne http:// eingeben
    Deine Domain evtl. mit www. eingeben
    keine Leerzeichen am ende bei den einträgen (passiert oft bei Copy Paste)
     
  13. info@krauspe-dart.de

    info@krauspe-dart.de Erfahrener Benutzer

    Registriert seit:
    19. März 2012
    Beiträge:
    99
    Danke erhalten:
    3
    Danke vergeben:
    9
    PHP 5.4? Vorteile??
    Vorweg: Bin kein Fachmann. Ich habe meinen Shop auf dem aktuellsten Stand 2.0.12.2, könnte also jetzt bei 1&1 auf PHP5.4 umstellen, oder? Falls ja (was ich glaube), was bringt das überhaupt für mich oder meine Kundschaft?
     
  14. Dennis (MotivMonster.de)

    Dennis (MotivMonster.de) G-WARD 2013/14/15/16

    Registriert seit:
    22. September 2011
    Beiträge:
    30.477
    Danke erhalten:
    5.932
    Danke vergeben:
    1.061
    Beruf:
    Mann für alles :)
    Ort:
    Weilburg
    nicht wirklich viel. :)
    Sind halt einige Sicherheitslücken und verbesserungen gemacht worden. Wirklich Merken wirst davon wohl nix.
     
  15. gunterpirntke

    gunterpirntke Erfahrener Benutzer

    Registriert seit:
    17. Januar 2013
    Beiträge:
    77
    Danke erhalten:
    2
    Danke vergeben:
    30
    Hallo,

    was mich an der Frage sehr interessiert: wie lange sind die Shop-Versionen noch abwärts kompatibel.
    Also, ab welcher Version ist PHP 5.4 zwingend erforderlich?

    Viele Grüße
    Ralf
     
  16. Talida

    Talida Erfahrener Benutzer

    Registriert seit:
    15. Dezember 2011
    Beiträge:
    74
    Danke erhalten:
    11
    Danke vergeben:
    48
    PHP 5.4 ist zwingend erforderlich wenn Dein Provider keine andere PHP-Version mehr zuläßt. Eigentlich hatte das 1 & 1 zum 01.04. vor, haben sich aber entschlossen dies auf den Herbst zu verschieben. Version 2.0.11.2 und die vorherigen Versionen sind nicht PHP 5.4 kompatibel. Die neuen SP ab 2.012.1 im Downloadbereich beinhalten das Update auf PHP 5.4. Ich empfehle aber das SP 2.012.2 zu installieren oder aber die Vollversion 2.0.12.2 abzuwarten.
     
  17. Danny

    Danny Erfahrener Benutzer

    Registriert seit:
    17. Juni 2011
    Beiträge:
    1.398
    Danke erhalten:
    179
    Danke vergeben:
    213
    Welch ein TamTam um die php 5.4 gemacht wird ist für mich wirklich unverständlich, zumal man bei einem vernünftigen Hoster auch eine Auswahlmöglichkeit hat, welche php.Version genutzt werden soll. Es ist so, dass sich vorallem Sichrheitlücken dadurch schließen lassen, welche bisher aber auch nicht groß Bekannt sind. Am Ende ein riesen Wirbel um ne Sache, die völlig normal ist.
     
  18. Wannenpflege

    Wannenpflege Erfahrener Benutzer

    Registriert seit:
    8. April 2012
    Beiträge:
    87
    Danke erhalten:
    2
    Danke vergeben:
    37
    Habe eben auf php 5.4 umgestellt (Shopversion ist v2.0.12.2) und bekomme verschiedene Dinge im Administratorenbereich nicht mehr angezeigt. So fehlen z.B. unter Artikelkategorien einzelne Rubriken, die in der Auflistung einfach nicht mehr angezeigt werden. Statt dessen ist einfach zwischen den Auflistungen eine Lücke. Klickt man in die Lücke kann die betreffende Rubrik aber trotzdem aufgerufen werden.

    Die Frage, die sich mir stellt: Das konnte ich mit bloßem Auge sofort erkennen - was gibt es noch für "Fehler" bzw. Auswirkungen, die vielleicht weitreichendere Folgen haben und den Shop massiv stören könnten, die aber (noch) nicht sichtbar sind? Oder muß ich den Shop in irgendeiner Art und Weise "resetten", um ihn auf php 5.4 einzustellen?
     
  19. Avenger

    Avenger G-WARD 2012/13/14/15

    Registriert seit:
    26. April 2011
    Beiträge:
    4.771
    Danke erhalten:
    1.478
    Danke vergeben:
    89
    Das dürften Menüeinträge mit Umlauten sein....

    Sollte eigentlich gelöst worden sein, anscheinend aber nicht ganz.
     
  20. Dennis (MotivMonster.de)

    Dennis (MotivMonster.de) G-WARD 2013/14/15/16

    Registriert seit:
    22. September 2011
    Beiträge:
    30.477
    Danke erhalten:
    5.932
    Danke vergeben:
    1.061
    Beruf:
    Mann für alles :)
    Ort:
    Weilburg
    hast nach der umstellung die caches geleert?